#
# spec file for package python-hatch_nodejs_version
#
# Copyright (c) 2023 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           python-hatch_nodejs_version
Version:        0.3.2
Release:        1.1
Summary:        This package provides two Hatch plugins for nodejs
License:        MIT
Group:          Development/Languages/Python
URL:            https://github.com/agoose77/hatch-nodejs-version
Source:         https://files.pythonhosted.org/packages/source/h/hatch_nodejs_version/hatch_nodejs_version-%{version}.tar.gz
BuildRequires:  %{python_module base >= 3.7}
BuildRequires:  %{python_module hatchling}
BuildRequires:  %{python_module pip}
BuildRequires:  %{python_module pytest}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
Requires:       python-hatchling >= 0.21.0
Provides:       python-hatch-nodejs-version = %{version}-%{release}
BuildArch:      noarch
%python_subpackages

%description
Hatch plugin to read pyproject.toml metadata from package.json

This package provides two Hatch plugins:

* version source plugin that reads/writes the package version
  from the version field of the Node.js package.json file.
* metadata hook plugin that reads PEP 621 metadata from the
  Node.js package.json file.

%prep
%setup -q -n hatch_nodejs_version-%{version}

%build
%pyproject_wheel

%install
%pyproject_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%check
%pytest

%files %{python_files}
%doc README.md
%{python_sitelib}/hatch_nodejs_version
%{python_sitelib}/hatch_nodejs_version-%{version}.dist-info

%changelog
* Thu Dec  7 2023 Dirk Müller <dmueller@suse.com>
- update to 0.3.2:
  * Add a trailing newline to package.json when appropriate #17
  * Assume NPM person can be string #20 (@vikramaditya91)
* Sun Feb  5 2023 Ben Greiner <code@bnavigator.de>
- Fix build and runtime requirements
- Provide PyPI name
* Sat Dec  3 2022 Yogalakshmi Arunachalam <yarunachalam@suse.com>
- Update to version 0.3.1
  * Add a trailing newline to package.json when appropriate by @blink1073 in #17
- Update to version 0.3.0
  * Update version to match distribution by @bollwyvl in #2
  * Add official Hatch badge by @ofek in #3
  * Refactor: don't store path in version_data by @agoose77 in #4
  * feat: add support for metadata hook by @agoose77 in #5
  * ci: test with pytest by @agoose77 in #6
  * Add Python version classifiers by @ofek in #7
  * Add urls for this package by @fcollonval in #8
  * feat: add label configuration options to modify URLs table keys by @agoose77 in #9
  * docs: explain fields fallback by @agoose77 in #10
  * docs: replace NodeJS with Node.js by @agoose77 in #11
  * Feat: support build metadata by @agoose77 in #13
* Fri Sep 23 2022 Matej Cepl <mcepl@suse.com>
- Fix metadata (description and files).
* Thu Sep 22 2022 Arun Persaud <arun@gmx.de>
- initial version
